From 5030f081b0e2d94d791b62ee6da0831026cf57e0 Mon Sep 17 00:00:00 2001
From: Ondřej Sloup <osloup@redhat.com>
Date: Apr 11 2024 16:14:42 +0000
Subject: [PATCH 3/10] Rename variable BASH to XMLTO_BASH_PATH (#8)


---

diff --git a/Makefile.am b/Makefile.am
index 50fa279..8b65f47 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -68,7 +68,7 @@ EXTRA_DIST = xmlto.spec \
 	doc/xmlif.xml \
 	xmlto.mak
 
-GEN_MANPAGE = FORMAT_DIR=$(top_srcdir)/format $(BASH) ./xmlto -o $(@D) man $<
+GEN_MANPAGE = FORMAT_DIR=$(top_srcdir)/format $(XMLTO_BASH_PATH) ./xmlto -o $(@D) man $<
 man/man1/xmlto.1: doc/xmlto.xml ; $(GEN_MANPAGE)
 man/man1/xmlif.1: doc/xmlif.xml ; $(GEN_MANPAGE)
 
diff --git a/configure.ac b/configure.ac
index cbffb0d..8c3ceae 100644
--- a/configure.ac
+++ b/configure.ac
@@ -18,8 +18,8 @@ AC_CHECK_PROG([MKTEMP], [mktemp],, [mktemp])
 AC_ARG_VAR([FIND], [Name of the GNU `find' program.])
 AC_CHECK_PROG([FIND], [find],, [find] )
 
-AC_ARG_VAR([BASH], [Name and path of the GNU `bash' shell.])
-AC_PATH_PROG([BASH], [bash], [/bin/bash])
+AC_ARG_VAR([XMLTO_BASH_PATH], [Name and path of the GNU `bash' shell.])
+AC_PATH_PROG([XMLTO_BASH_PATH], [bash], [/bin/bash])
 
 AC_ARG_VAR([GETOPT], [Name of the `getopt' program (requires longopt support).])
 AC_CHECK_PROG([GETOPT], [getopt],, [getopt])
diff --git a/xmlto.in b/xmlto.in
index e721d43..d5a81a8 100755
--- a/xmlto.in
+++ b/xmlto.in
@@ -1,4 +1,4 @@
-#!@BASH@
+#!@XMLTO_BASH_PATH@
 #
 # @PACKAGE@ - apply an XSL stylesheet to an XML document
 # Copyright (C) 2001, 2002, 2003  Tim Waugh <twaugh@redhat.com>
@@ -17,13 +17,13 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 # Utilities that we need that aren't everywhere
-FIND=@FIND@     # This must be GNU find (need -maxdepth)
-MKTEMP=@MKTEMP@ # See http://www.mktemp.org if missing on your system
-BASH=@BASH@     # GNU bash, for running the format scripts
-GETOPT=@GETOPT@ # a getopt that supports --longoptions
-TAIL=@TAIL@     # a tail that supports -n (posix)
-GREP=@GREP@     # GNU grep, for searching patterns
-SED=@SED@       # GNU sed, for modification of patterns
+FIND=@FIND@               # This must be GNU find (need -maxdepth)
+MKTEMP=@MKTEMP@           # See http://www.mktemp.org if missing on your system
+BASH=@XMLTO_BASH_PATH@    # GNU bash, for running the format scripts
+GETOPT=@GETOPT@           # a getopt that supports --longoptions
+TAIL=@TAIL@               # a tail that supports -n (posix)
+GREP=@GREP@               # GNU grep, for searching patterns
+SED=@SED@                 # GNU sed, for modification of patterns
 
 version () {
   echo "@PACKAGE@ version @VERSION@"

